FROM openjdk:8-jdk-alpine

COPY ./target/*.jar app.jar

RUN mkdir -p /usr/local/data

VOLUME ["/usr/local/data"]

ENTRYPOINT ["java","-jar","/app.jar", "--spring.profiles.active=docker", "--postgres.host=db", "--static.file.path=/usr/local/data", "--mybatis.configuration.log-impl=org.apache.ibatis.logging.nologging.NoLoggingImpl"]